---
wsId: UpholdbuyandsellBitcoin
title: 'Uphold: Buy BTC, ETH, XRP'
altTitle: 
authors:
- leo
users: 1000000
appId: com.uphold.wallet
appCountry: 
released: 2015-12-29
updated: 2022-05-19
version: 4.44.1
stars: 3.1
ratings: 20716
reviews: 3691
size: 61M
website: https://uphold.com
repository: 
issue: 
icon: com.uphold.wallet.png
bugbounty: 
meta: ok
verdict: custodial
date: 2020-10-12
signer: 
reviewArchive: 
twitter: UpholdInc
social:
- https://www.linkedin.com/company/upholdinc
- https://www.facebook.com/UpholdInc
redirect_from:
- /com.uphold.wallet/
- /posts/com.uphold.wallet/

---

This app appears to be an interface to a custodial trading platform. In the
Google Play description we read:

> **Trust Through Transparency**<br>
  Uphold is fully reserved. Unlike banks, we don’t loan out your money. To prove
  it, we publish our holdings in real time.

If they hold your money, you don't. As a custodial service this app is **not
verifiable**.
